Index: tmp/org.txm.utils/src/org/txm/utils/AsciiUtils.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/AsciiUtils.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/AsciiUtils.java	(revision 2402)
@@ -33,66 +33,67 @@
  * 
  * FR:
  * 
- * AsciiUtils.convertNonAscii(str) supprime les accents (note : cette méthode fonctionne avec une liste fermée de caractères accentués)
-
-AsciiUtils.removePunct(str) supprime les ponctuations
-
-AsciiUtils.buildAttributeId(str) créé un identifiant CQP compatible
-
-AsciiUtils.buildId(str) créé un identifiant compatible corpus CQP
+ * AsciiUtils.convertNonAscii(str) supprime les accents (note : cette méthode
+ * fonctionne avec une liste fermée de caractères accentués)
+ * 
+ * AsciiUtils.removePunct(str) supprime les ponctuations
+ * 
+ * AsciiUtils.buildAttributeId(str) créé un identifiant CQP compatible
+ * 
+ * AsciiUtils.buildId(str) créé un identifiant compatible corpus CQP
  *
  * @see : http://www.rgagnon.com/javadetails/java-0456.html
  */
 public class AsciiUtils {
 
 	/** The Constant PLAIN_ASCII. */
-	private static final String PLAIN_ASCII =
-			"AaEeIiOoUu"    // grave //$NON-NLS-1$
-			+ "AaEeIiOoUuYy"  // acute //$NON-NLS-1$
-			+ "AaEeIiOoUuYy"  // circumflex //$NON-NLS-1$
-			+ "AaOoNn"        // tilde //$NON-NLS-1$
-			+ "AaEeIiOoUuYy"  // umlaut //$NON-NLS-1$
-			+ "Aa"            // ring //$NON-NLS-1$
-			+ "Cc"            // cedilla //$NON-NLS-1$
-			+ "OoUu"          // double acute //$NON-NLS-1$
-			;
+	private static final String PLAIN_ASCII = "AaEeIiOoUu" // grave //$NON-NLS-1$
+			+ "AaEeIiOoUuYy" // acute //$NON-NLS-1$
+			+ "AaEeIiOoUuYy" // circumflex //$NON-NLS-1$
+			+ "AaOoNn" // tilde //$NON-NLS-1$
+			+ "AaEeIiOoUuYy" // umlaut //$NON-NLS-1$
+			+ "Aa" // ring //$NON-NLS-1$
+			+ "Cc" // cedilla //$NON-NLS-1$
+			+ "OoUu" // double acute //$NON-NLS-1$
+	;
 
 	/** The Constant UNICODE. */
-	private static final String UNICODE =
-			"\u00C0\u00E0\u00C8\u00E8\u00CC\u00EC\u00D2\u00F2\u00D9\u00F9"              //$NON-NLS-1$
-			+ "\u00C1\u00E1\u00C9\u00E9\u00CD\u00ED\u00D3\u00F3\u00DA\u00FA\u00DD\u00FD"  //$NON-NLS-1$
-			+ "\u00C2\u00E2\u00CA\u00EA\u00CE\u00EE\u00D4\u00F4\u00DB\u00FB\u0176\u0177"  //$NON-NLS-1$
+	private static final String UNICODE = "\u00C0\u00E0\u00C8\u00E8\u00CC\u00EC\u00D2\u00F2\u00D9\u00F9" //$NON-NLS-1$
+			+ "\u00C1\u00E1\u00C9\u00E9\u00CD\u00ED\u00D3\u00F3\u00DA\u00FA\u00DD\u00FD" //$NON-NLS-1$
+			+ "\u00C2\u00E2\u00CA\u00EA\u00CE\u00EE\u00D4\u00F4\u00DB\u00FB\u0176\u0177" //$NON-NLS-1$
 			+ "\u00C3\u00E3\u00D5\u00F5\u00D1\u00F1" //$NON-NLS-1$
-			+ "\u00C4\u00E4\u00CB\u00EB\u00CF\u00EF\u00D6\u00F6\u00DC\u00FC\u0178\u00FF"  //$NON-NLS-1$
-			+ "\u00C5\u00E5"                                                              //$NON-NLS-1$
-			+ "\u00C7\u00E7"  //$NON-NLS-1$
-			+ "\u0150\u0151\u0170\u0171"  //$NON-NLS-1$
-			;
+			+ "\u00C4\u00E4\u00CB\u00EB\u00CF\u00EF\u00D6\u00F6\u00DC\u00FC\u0178\u00FF" //$NON-NLS-1$
+			+ "\u00C5\u00E5" //$NON-NLS-1$
+			+ "\u00C7\u00E7" //$NON-NLS-1$
+			+ "\u0150\u0151\u0170\u0171" //$NON-NLS-1$
+	;
 
 	// private constructor, can't be instanciated!
 	/**
 	 * Instantiates a new ascii utils.
 	 */
-	private AsciiUtils() { }
+	private AsciiUtils() {
+	}
 
 	// remove accentued from a string and replace with ascii equivalent
 	/**
 	 * Convert non ascii.
 	 *
-	 * @param s the s
+	 * @param s
+	 *            the s
 	 * @return the string
 	 */
 	public static String convertNonAscii(String s) {
-		if (s == null) return null;
+		if (s == null)
+			return null;
 		StringBuilder sb = new StringBuilder();
 		int n = s.length();
 		for (int i = 0; i < n; i++) {
 			char c = s.charAt(i);
 			int pos = UNICODE.indexOf(c);
-			if (pos > -1){
+			if (pos > -1) {
 				sb.append(PLAIN_ASCII.charAt(pos));
-			}
-			else {
+			} else {
 				sb.append(c);
 			}
 		}
@@ -102,69 +103,75 @@
 	/**
 	 * Removes the punct.
 	 *
-	 * @param s the s
+	 * @param s
+	 *            the s
 	 * @return the string
 	 */
 	public static String removePunct(String s) {
-		return s.replaceAll("\\p{Space}","").replaceAll("\\p{Punct}", ""); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+		return s.replaceAll("\\p{Space}", "").replaceAll("\\p{Punct}", ""); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 	}
 
 	/**
 	 * Builds the id.
 	 *
-	 * @param s the s
+	 * @param s
+	 *            the s
 	 * @return the string
 	 */
 	public static String buildWordId(String s) {
 
-		if (s.length() == 0) return s;
-		
+		if (s.length() == 0)
+			return s;
+
 		// ensure the "w_" prefix presence
 		if (s.startsWith("w")) {
 			if (!s.startsWith("w_")) {
-				s = "w_"+s.substring(1);
+				s = "w_" + s.substring(1);
 			}
 		} else {
-			s = "w_"+s;
+			s = "w_" + s;
 		}
 
 		String rez = convertNonAscii(s).toLowerCase();
-		rez = rez.replaceAll("\\p{Space}++","_");
-		rez = rez.replaceAll("[¤€§µ£°().,;:/?§%\"'*+\\-}\\]\\[{#~&]",""); //$NON-NLS-1$ //$NON-NLS-2$
+		rez = rez.replaceAll("\\p{Space}++", "_");
+		rez = rez.replaceAll("[¤€§µ£°().,;:/?§%\"'*+\\-}\\]\\[{#~&]", ""); //$NON-NLS-1$ //$NON-NLS-2$
 
 		return rez;
 	}
-	
+
 	/**
 	 * Builds attribute id.
 	 *
-	 * @param s the s
+	 * @param s
+	 *            the s
 	 * @return the string
 	 */
 	public static String buildAttributeId(String s) {
 		return buildId(s);
 	}
-	
+
 	/**
 	 * Builds the id.
 	 *
-	 * @param s the s
+	 * @param s
+	 *            the s
 	 * @return the string
 	 */
-	public static String buildId(String s)
-	{
-		//TODO: replace this with a lib managing the ID attribute format 
-		if (s.length() == 0) return s;
+	public static String buildId(String s) {
+		// TODO: replace this with a lib managing the ID attribute format
+		if (s.length() == 0)
+			return s;
 
 		String rez = convertNonAscii(s).toLowerCase();
-		rez = rez.replaceAll("\\p{Space}++","_");
-		rez = rez.replaceAll("_","-");
-		rez = rez.replaceAll("[¤€§µ£°().,;:/?§%\"'*+\\}\\]\\[{#~&]",""); //$NON-NLS-1$ //$NON-NLS-2$
+		rez = rez.replaceAll("\\p{Space}++", "_");
+		rez = rez.replaceAll("_", "-");
+		rez = rez.replaceAll("[¤€§µ£°().,;:/?§%\"'*+\\}\\]\\[{#~&]", ""); //$NON-NLS-1$ //$NON-NLS-2$
 		// remove first chars if number
 		char c = rez.charAt(0);
 		while (c == '0' || c == '1' || c == '2' || c == '3' || c == '4' || c == '5' || c == '6' || c == '7' || c == '8' || c == '9') {
 			rez = rez.substring(1);
-			if (rez.length() == 0) return "";
+			if (rez.length() == 0)
+				return "";
 			c = rez.charAt(0);
 		}
 
@@ -174,14 +181,14 @@
 	/**
 	 * The main method.
 	 *
-	 * @param args the arguments
+	 * @param args
+	 *            the arguments
 	 */
 	public static void main(String args[]) {
-		String s = 
-				"The result : È,É,Ê,Ë,Û,Ù,Ï,Î,À,Â,Ô,è,é,ê,ë,û,ù,ï,î,à,â,ô,ç  "; //$NON-NLS-1$
+		String s = "The result : È,É,Ê,Ë,Û,Ù,Ï,Î,À,Â,Ô,è,é,ê,ë,û,ù,ï,î,à,â,ô,ç  "; //$NON-NLS-1$
 		System.out.println(AsciiUtils.convertNonAscii(s));
 		System.out.println(AsciiUtils.buildId(s));
-		// output : 
+		// output :
 		// The result : E,E,E,E,U,U,I,I,A,A,O,e,e,e,e,u,u,i,i,a,a,o,c
 
 	}
Index: tmp/org.txm.utils/src/org/txm/utils/xml/DomUtils.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/xml/DomUtils.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/xml/DomUtils.java	(revision 2402)
@@ -52,81 +52,81 @@
  * The Class DomUtils.
  */
 public class DomUtils {
-	
+
 	/**
 	 * Empty document.
 	 *
 	 * @return the document
-	 * @throws ParserConfigurationException 
+	 * @throws ParserConfigurationException
 	 */
-	public static Document emptyDocument() throws ParserConfigurationException
-	{
+	public static Document emptyDocument() throws ParserConfigurationException {
 		DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
 		factory.setXIncludeAware(true);
 		DocumentBuilder builder = factory.newDocumentBuilder();
 		return builder.newDocument();
 	}
-	
+
 	/**
 	 * Load.
 	 *
-	 * @param xmlfile the xmlfile
+	 * @param xmlfile
+	 *            the xmlfile
 	 * @return the document
-	 * @throws ParserConfigurationException 
-	 * @throws IOException 
-	 * @throws SAXException 
+	 * @throws ParserConfigurationException
+	 * @throws IOException
+	 * @throws SAXException
 	 */
-	public static Document load(File xmlfile) throws ParserConfigurationException, SAXException, IOException
-	{
+	public static Document load(File xmlfile) throws ParserConfigurationException, SAXException, IOException {
 		DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
 		factory.setXIncludeAware(true);
 		factory.setNamespaceAware(true); // never forget this!
 		DocumentBuilder builder = factory.newDocumentBuilder();
-		//builder.parse(xmlfile).getDocumentElement().getElementsByTagName(name)
+		// builder.parse(xmlfile).getDocumentElement().getElementsByTagName(name)
 		return builder.parse(xmlfile);
 	}
-	
+
 	/**
 	 * Save.
 	 *
-	 * @param element the doc
-	 * @param writer the writer
+	 * @param element
+	 *            the doc
+	 * @param writer
+	 *            the writer
 	 * @return true if successful
 	 */
-	public static boolean save(Document doc, Writer writer)
-	{
+	public static boolean save(Document doc, Writer writer) {
 		return save(doc.getDocumentElement(), writer);
 	}
-	
 
 	public static boolean save(Element element, File outfile) throws UnsupportedEncodingException, FileNotFoundException {
 		Writer writer = new BufferedWriter(new OutputStreamWriter(new BufferedOutputStream(new FileOutputStream(outfile)), "UTF-8")); //$NON-NLS-1$
 		return save(element, writer);
 	}
-	
+
 	/**
 	 * Save.
 	 *
-	 * @param element the doc
-	 * @param writer the writer
+	 * @param element
+	 *            the doc
+	 * @param writer
+	 *            the writer
 	 * @return true, if successful
 	 */
-	public static boolean save(Element element, Writer writer)
-	{
+	public static boolean save(Element element, Writer writer) {
 		try {
 			// Création de la source DOM
 			Source source = new DOMSource(element);
-			
+
 			// Création du fichier de sortie
 			Result resultat = new StreamResult(writer);
-			
+
 			// Configuration du transformer
 			TransformerFactory fabrique = new net.sf.saxon.TransformerFactoryImpl();
 			Transformer transformer = fabrique.newTransformer();
 			transformer.setOutputProperty(OutputKeys.METHOD, "xml"); //$NON-NLS-1$
-			transformer.setOutputProperty(OutputKeys.INDENT, "yes");  //$NON-NLS-1$
-			transformer.setOutputProperty(OutputKeys.ENCODING, "UTF-8");  //$NON-NLS-1$
-			
+			transformer.setOutputProperty(OutputKeys.INDENT, "yes"); //$NON-NLS-1$
+			transformer.setOutputProperty(OutputKeys.ENCODING, "UTF-8"); //$NON-NLS-1$
+
 			// Transformation
 			transformer.transform(source, resultat);
 			writer.close();
@@ -136,34 +136,36 @@
 			return false;
 		}
 	}
-	
+
 	/**
 	 * Save.
 	 *
-	 * @param doc the doc
-	 * @param outfile the output file
+	 * @param doc
+	 *            the doc
+	 * @param outfile
+	 *            the output file
 	 * @return true, if successful
-	 * @throws FileNotFoundException 
-	 * @throws UnsupportedEncodingException 
+	 * @throws FileNotFoundException
+	 * @throws UnsupportedEncodingException
 	 * @return true if successful
 	 */
-	public static boolean save(Document doc, File outfile) throws UnsupportedEncodingException, FileNotFoundException
-	{
+	public static boolean save(Document doc, File outfile) throws UnsupportedEncodingException, FileNotFoundException {
 		Writer writer = new BufferedWriter(new OutputStreamWriter(new BufferedOutputStream(new FileOutputStream(outfile)), "UTF-8")); //$NON-NLS-1$
 		return save(doc, writer);
 	}
-	
+
 	/**
 	 * Save.
 	 *
-	 * @param doc the doc
-	 * @param outfile the outfile
+	 * @param doc
+	 *            the doc
+	 * @param outfile
+	 *            the outfile
 	 * @return true, if successful
-	 * @throws FileNotFoundException 
-	 * @throws UnsupportedEncodingException 
+	 * @throws FileNotFoundException
+	 * @throws UnsupportedEncodingException
 	 */
-	public static boolean print(Document doc) throws UnsupportedEncodingException, FileNotFoundException
-	{
+	public static boolean print(Document doc) throws UnsupportedEncodingException, FileNotFoundException {
 		Writer writer = new PrintWriter(System.out);
 		return save(doc, writer);
 	}
Index: tmp/org.txm.utils/src/org/txm/utils/xml/UpdateXSLParameters.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/xml/UpdateXSLParameters.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/xml/UpdateXSLParameters.java	(revision 2402)
@@ -19,15 +19,16 @@
  *
  */
 public class UpdateXSLParameters {
-	
+
 	File xslFile;
-	
+
 	public UpdateXSLParameters(File xslFile) {
 		this.xslFile = xslFile;
 	}
-	
+
 	/**
-	 * update the content of "param" elements which name attribute exists in the parameters map with the parameter map value.
+	 * update the content of "param" elements which name attribute exists in the
+	 * parameters map with the parameter map value.
 	 * 
 	 * @param parameters
 	 * @return true if document if successfully saved
@@ -41,21 +42,21 @@
 			System.out.println("Error: $xslFile doest not exists. Aborting.");
 			return false;
 		}
-		
+
 		Document doc = DomUtils.load(xslFile);
 		NodeList list = doc.getElementsByTagName("xsl:param");
-		for (int i = 0 ; i < list.getLength() ; i++) {
+		for (int i = 0; i < list.getLength(); i++) {
 			Element e = (Element) list.item(i);
 			String name = e.getAttribute("name");
-			
+
 			if (parameters.keySet().contains(name)) {
 				e.setTextContent(parameters.get(name));
 			}
 		}
 
-		return DomUtils.save(doc,  xslFile);
+		return DomUtils.save(doc, xslFile);
 	}
-	
+
 	public static void main(String[] args) throws ParserConfigurationException, SAXException, IOException {
 		File xslFile = new File("/home/mdecorde/TEMP/testori/mss-dates/txm/mss-dates-w/xsl/4-edition/1-facsimile-pager.xsl");
 		HashMap<String, String> parameters = new HashMap<String, String>();
Index: tmp/org.txm.utils/src/org/txm/utils/LocalXhtmlDtdEntityResolver.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/LocalXhtmlDtdEntityResolver.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/LocalXhtmlDtdEntityResolver.java	(revision 2402)
@@ -1,4 +1,5 @@
 package org.txm.utils;
+
 import java.io.IOException;
 
 import org.xml.sax.EntityResolver;
@@ -7,17 +8,18 @@
 
 public class LocalXhtmlDtdEntityResolver implements EntityResolver {
 
-    /* (non-Javadoc)
-     * @see org.xml.sax.EntityResolver#resolveEntity(java.lang.String, java.lang.String)
-     */
-    @Override
-    public InputSource resolveEntity( String publicId, String systemId )
-            throws SAXException, IOException {
-        String fileName = systemId.substring( systemId.lastIndexOf( "/" ) + 1 ); 
-        System.out.println("FILENAME: "+fileName);
-        
-        return new InputSource( 
-                getClass().getClassLoader().getResourceAsStream( fileName ) );
-    }
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see org.xml.sax.EntityResolver#resolveEntity(java.lang.String,
+	 * java.lang.String)
+	 */
+	@Override
+	public InputSource resolveEntity(String publicId, String systemId) throws SAXException, IOException {
+		String fileName = systemId.substring(systemId.lastIndexOf("/") + 1);
+		System.out.println("FILENAME: " + fileName);
 
+		return new InputSource(getClass().getClassLoader().getResourceAsStream(fileName));
+	}
+
 }
\ No newline at end of file
